logtalk_user_setup(1)

NAME
logtalk_user_setup - Logtalk user setup script

SYNOPSIS
logtalk_user_setup

DESCRIPTION
logtalk_user_setup is a Logtalk user setup script for copying the Logtalk user-modifiable files and directories to the location pointed by the environment variable LOGTALKUSER (defaults to "~/logtalk"). When the Logtalk user directory already exists, a backup is made to a directory whose name starts with "logtalk-backup-" and a new Logtalk user directory is created.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk Handbook at $LOGTALKHOME/docs/handbook/index.html

logtalk_version_select(1), logtalk_backend_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2025 Paulo Moura.